package com.alibaba.druid.sql.dialect.oracle.ast.stmt;

import com.alibaba.druid.sql.dialect.oracle.ast.OracleSQLObjectImpl;
import com.alibaba.druid.sql.dialect.oracle.visitor.OracleASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class OracleAlterTablespaceAddDataFile extends OracleSQLObjectImpl implements OracleAlterTablespaceItem {
   private List<OracleFileSpecification> files = new ArrayList();

   public void accept0(OracleASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.files);
      }

      visitor.endVisit(this);
   }

   public List<OracleFileSpecification> getFiles() {
      return this.files;
   }

   public void setFiles(List<OracleFileSpecification> files) {
      this.files = files;
   }
}
